Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226235 - Merge Review: pax
Summary: Merge Review: pax
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Orcan Ogetbil
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 20:21 UTC by Nobody's working on this, feel free to take it
Modified: 2009-01-31 05:32 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-31 05:32:32 UTC
oget.fedora: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 20:21:32 UTC
Fedora Merge Review: pax

http://cvs.fedora.redhat.com/viewcvs/devel/pax/
Initial Owner: pvrabec@redhat.com

Comment 1 Orcan Ogetbil 2008-11-20 06:50:31 UTC
I reviewed this package. Here is what needs to be done for compliance with the guidelines:

* The doc files ABOUT-NLS, AUTHORS, ChangeLog, COPYING, NEWS, README, THANKS need to be packaged.

* We prefer %defattr(-,root,root,-)

* Buildroot must be one of these:
   %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
   %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
   %{_tmppath}/%{name}-%{version}-%{release}-root

* It would be nice if you explain in the SPEC file what the patches do. The project seems dead, I don't think there is any place to submit the patches to.

* Parallel make should be supported whenever possible. If it is not supported, this should be noted in the SPEC file as a comment.

Comment 2 Orcan Ogetbil 2008-12-21 10:11:31 UTC
ping?

Comment 3 Peter Vrabec 2009-01-19 10:55:31 UTC
I'm removing myself from CC and adding ovasik. He is current maintainer of pax, according to:
https://admin.fedoraproject.org/pkgdb/packages/name/pax

Comment 4 Ondrej Vasik 2009-01-19 11:29:48 UTC
Thanks for review. Afaik buildroot is completely ignored by latest rpm, so that guideline is no longer so important. Anyway - it is one commit, so could be fixed as well for sanity. I fixed all your objections, built as pax-3.4-7.fc11.

Comment 5 Orcan Ogetbil 2009-01-19 13:42:35 UTC
You are welcome Ondrej. There is one more thing that I missed last time. The guidelines state that:
"Fedora's RPM includes a %makeinstall macro but it must NOT be used when make install DESTDIR=%{buildroot} works." [1]

For pax, this really doesn't matter much since %makeinstall just works as desired. But it is stated in the above guideline as a "MUST" so I had to bring it into your attention.


Otherwise, I couldn't find any problems. Review is done on my side.

-------------------------------------------
This Merge Review (pax) is APPROVED by oget
-------------------------------------------


[1] http://fedoraproject.org/wiki/Packaging/Guidelines#Why_the_.25makeinstall_macro_should_not_be_used

Comment 6 Orcan Ogetbil 2009-01-31 05:32:32 UTC
closing the bug


Note You need to log in before you can comment on or make changes to this bug.